services:
  qwen3-asr:
    image: qwen3-asr:latest
    container_name: qwen3-asr-dev
    command: ["/bin/bash"]
    restart: always
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: all
              capabilities: [gpu]
    dns:
      - 223.5.5.5
      - 8.8.8.8
    working_dir: /app
    stdin_open: true
    tty: true
    environment:
      - HF_ENDPOINT=https://hf-mirror.com
    volumes:
      - ./data:/app
    networks:
      - qwen3-asr
    ports:
      - "8070:8000"
networks:
  qwen3-asr:
    name: qwen3-asr
    driver: bridge
